@echo off

cls
echo DiskRW1
echo ΝΝΝΝΝΝΝ
echo Copy several disks from %1 to %2 using DISKRW, one copy per source disk

echo.
if %2.==. goto syntax
if exist diskrw.$$$ goto fexist

echo press Ctrl-C to abort, any other key to start
pause >nul

:copy
cls
echo insert  S O U R C E   D I S K, then press any key
echo         ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
diskrw %1 diskrw.$$$
if errorlevel 1 goto end

:write
cls
echo insert  D E S T I N A T I O N   D I S K, then press any key
echo         ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
diskrw diskrw.$$$ %2
if errorlevel 1 goto end
del diskrw.$$$
echo.
echo Press Ctrl-C to stop, any other key to copy another disk
pause >nul
goto copy


:syntax
echo Syntax: DiskRW1 source destination
echo Example: DiskRW1 A: A:
goto end

:fexist
echo There exists already a file with name "DISKRW.$$$".
echo If you do not longer need this please delete it
echo otherwise rename it or change to a different directory
echo before calling DiskRW1
goto end

:end
echo.
